Balance 

This is an object representing your Stripe balance. You can retrieve it to see the balance currently on your Stripe account.

You can also retrieve the balance history, which contains a list of transactions that contributed to the balance (charges, payouts, and so forth).

The available and pending amounts for each currency are broken down further by payment source types.

Related guide: Understanding Connect account balances

The Balance object 

Attributes

  • availablearray of objects

    Available funds that you can transfer or pay out automatically by Stripe or explicitly through the Transfers API or Payouts API. You can find the available balance for each currency and payment type in the source_types property.

  • pendingarray of objects

    Funds that aren’t available in the balance yet. You can find the pending balance for each currency and each payment type in the source_types property.

More attributes

  • objectstring

  • connect_reservednullable array of objectsConnect only

  • instant_availablenullable array of objects

  • issuingnullable object

  • livemodeboolean

  • refund_and_dispute_prefundingnullable object

The Balance object
{
"object": "balance",
"available": [
{
"amount": 666670,
"currency": "usd",
"source_types": {
"card": 666670
}
}
],
"connect_reserved": [
{
"amount": 0,
"currency": "usd"
}
],
"livemode": false,
"pending": [
{
"amount": 61414,
"currency": "usd",
"source_types": {
"card": 61414
}
}
]
}

Retrieve balance 

Retrieves the current account balance, based on the authentication that was used to make the request. For a sample request, see Accounting for negative balances.

Parameters

No parameters.

Returns

Returns a balance object for the account that was authenticated in the request.

GET /v1/balance
curl https://api.stripe.com/v1/balance \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-06-30.basil"
Response
{
"object": "balance",
"available": [
{
"amount": 666670,
"currency": "usd",
"source_types": {
"card": 666670
}
}
],
"connect_reserved": [
{
"amount": 0,
"currency": "usd"
}
],
"livemode": false,
"pending": [
{
"amount": 61414,
"currency": "usd",
"source_types": {
"card": 61414
}
}
]
}